Skip to main content
POST
/
api
/
v2.1
/
customer
/
organization
/
{organizationId}
/
employee
Add employee
curl --request POST \
  --url https://sandbox.finhub.cloud/api/v2.1/customer/organization/{organizationId}/employee \
  --header 'Content-Type: application/json' \
  --header 'User-Agent: <user-agent>' \
  --header 'X-Forwarded-For: <x-forwarded-for>' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --header 'deviceId: <deviceid>' \
  --header 'platform: <platform>' \
  --data '
{
  "person": {
    "firstName": "Jane",
    "lastName": "Compliance",
    "email": "compliance.20260323@acmecorp.com",
    "phoneNumber": "+37061239876",
    "dateOfBirth": "1990-03-25",
    "nationality": "Lithuania",
    "gender": "1",
    "fullName": "Jane Compliance"
  },
  "position": "COMPLIANCE_OFFICER",
  "roles": [
    "COMPLIANCE_OFFICER",
    "TRANSACTION_APPROVER",
    "EMPLOYEE",
    "ADMIN_USER"
  ],
  "department": "Compliance"
}
'

Headers

X-Tenant-ID
string
required

Tenant identifier

Example:

"test_tenant"

X-Forwarded-For
string
required

Client IP address

Example:

"127.0.0.1"

X-Forwarded-From
string
required

Client application identifier

Example:

"playground-client"

platform
string
required

Client platform

Example:

"playground-api"

deviceId
string
required

Device identifier

Example:

"playground-device"

User-Agent
string
required
Example:

"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/120.0.0.0 Safari/537.36"

Path Parameters

organizationId
string
required

Body

application/json
person
object
position
string
responsibility
string
department
string
roles
string[]
organizationRole
string
status
string
sharePercentage
number<float>
ultimatePercentage
number<float>
groupId
string
documentId
string

Response

200

OK